shithub: rgbds

Download patch

ref: f8f67fcbceea754bba2268be11da9b7aba7a285a
parent: abeca2d3050957879a9e388dd697610c65469b91
author: Antonio Niño Díaz <antonio_nd@outlook.com>
date: Sat Jan 27 06:14:10 EST 2018

Add external projects to Travis CI jobs

Small tests like the ones included in this repository are good to test
individual features, but it is also a good idea to test some real
projects.

Signed-off-by: Antonio Niño Díaz <antonio_nd@outlook.com>

--- a/.travis.yml
+++ b/.travis.yml
@@ -2,6 +2,8 @@
 sudo: required
 install:
   - ./.travis-deps.sh
+  - make
+  - sudo make install
 os:
   - linux
 compiler:
@@ -8,8 +10,4 @@
   - clang
   - gcc
 script:
-  - make
-  - sudo make install
-after_success:
-  - pushd test/asm/ && ./test.sh && popd
-  - pushd test/link/ && ./test.sh && popd
+  - ./test/run-tests.sh
--- a/test/asm/bank-noexist.asm
+++ b/test/asm/bank-noexist.asm
@@ -1,2 +1,2 @@
 SECTION "sec", ROM0
-	db BANK(noexist) 
+	db BANK(noexist)
--- /dev/null
+++ b/test/run-tests.sh
@@ -1,0 +1,36 @@
+#!/bin/bash
+
+# Return failure as soon as a command fails to execute
+
+set -e
+
+cd test
+
+# Tests included with the repository
+
+pushd asm
+./test.sh
+popd
+
+pushd link
+./test.sh
+popd
+
+# Test some significant external projects that use RGBDS
+
+git clone https://github.com/pret/pokecrystal.git --depth=1
+pushd pokecrystal
+make -j
+make compare
+popd
+
+git clone --recursive https://github.com/pret/pokered.git --depth=1
+pushd pokered
+make -j
+make compare
+popd
+
+git clone https://github.com/AntonioND/ucity.git --depth=1
+pushd ucity
+make -j
+popd